Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.util
Class CellRangeAddressBase

    java.lang.Object
      org.apache.poi.ss.util.CellRangeAddressBase

Direct Known Subclasses:
  CellRangeAddress, CellRangeAddress8Bit

    public abstract class CellRangeAddressBase

extends java.lang.Object

See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range Address'

Common subclass of 8-bit and 16-bit versions

Author:
  Josh Micich

Constructor Summary
`protected` | `CellRangeAddressBase(int firstRow, int lastRow, int firstCol, int lastCol)`

Method Summary
`int` | `getFirstColumn()`
`int` | `getFirstRow()`
`int` | `getLastColumn()`
`int` | `getLastRow()`
`int` | `getNumberOfCells()`
`boolean` | `isFullColumnRange()`
`boolean` | `isFullRowRange()`
`boolean` | `isInRange(int rowInd, int colInd)`
`void` | `setFirstColumn(int firstCol)`
`void` | `setFirstRow(int firstRow)`
`void` | `setLastColumn(int lastCol)`
`void` | `setLastRow(int lastRow)`
`java.lang.String` | `toString()`
`void` | `validate(SpreadsheetVersion ssVersion)` Validate the range limits against the supplied version of Excel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellRangeAddressBase

    protected CellRangeAddressBase(int firstRow,
                                   int lastRow,
                                   int firstCol,
                                   int lastCol)

Method Detail

### validate

    public void validate(SpreadsheetVersion ssVersion)

  Validate the range limits against the supplied version of Excel

  Parameters:
    `ssVersion` - the version of Excel to validate against
  Throws:
    `java.lang.IllegalArgumentException` - if the range limits are outside of the allowed range

### isFullColumnRange

    public final boolean isFullColumnRange()

### isFullRowRange

    public final boolean isFullRowRange()

### getFirstColumn

    public final int getFirstColumn()

  Returns:
    column number for the upper left hand corner

### getFirstRow

    public final int getFirstRow()

  Returns:
    row number for the upper left hand corner

### getLastColumn

    public final int getLastColumn()

  Returns:
    column number for the lower right hand corner

### getLastRow

    public final int getLastRow()

  Returns:
    row number for the lower right hand corner

### isInRange

    public boolean isInRange(int rowInd,
                             int colInd)

### setFirstColumn

    public final void setFirstColumn(int firstCol)

  Parameters:
    `firstCol` - column number for the upper left hand corner

### setFirstRow

    public final void setFirstRow(int firstRow)

  Parameters:
    `firstRow` - row number for the upper left hand corner

### setLastColumn

    public final void setLastColumn(int lastCol)

  Parameters:
    `lastCol` - column number for the lower right hand corner

### setLastRow

    public final void setLastRow(int lastRow)

  Parameters:
    `lastRow` - row number for the lower right hand corner

### getNumberOfCells

    public int getNumberOfCells()

  Returns:
    the size of the range (number of cells in the area).

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.